import request from "@/utils/request";

//获取当前订单物料列表
export function recordList(data: any) {
  return request({
    url: "/api/v1/process/itemRecord/list",
    method: "post",
    data,
  });
}

//采集详情查询
export function itemInfoList(data: any) {
  return request({
    url: "/api/v1/process/itemRecord/itemInfo/list",
    method: "post",
    data: data,
  });
}

//扫码搜寻物料
export function searchMaterial(data: any) {
  return request({
    url: "/api/v1/process/itemRecord/searchMaterial",
    method: "post",
    data: data,
  });
}

//新增物料采集信息
export function itemRecordAdd(data: any) {
  return request({
    url: "/api/v1/process/itemRecord/add",
    method: "post",
    data: data,
  });
}

//获取采集详情
export function getInfo(data: any) {
  return request({
    url: `/api/v1/process/itemRecord/itemInfo/list`,
    method: "post",
    data,
  });
}
